Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager.config
Class JobManagerDescriptorValidator

    java.lang.Object
      com.bea.p13n.jobmanager.config.JobManagerDescriptorValidator

    public class JobManagerDescriptorValidator

extends Object

Constructor Summary
`JobManagerDescriptorValidator()`

Method Summary
`static void` | `validateCalendarDay(String time)`
`static void` | `validateCalendarHour(String time)`
`static void` | `validateCalendarMinute(String time)`
`static void` | `validateCalendarMonth(String time)`
`static void` | `validateCalendarYear(String time)`
`static void` | `validateDescription(String description)`
`static void` | `validateGroup(String group)`
`static void` | `validateIntervalInterval(int time)`
`static void` | `validateJobClass(String classname)`
`static void` | `validateListenerName(String name)`
`static void` | `validateListerClassName(String name)`
`static void` | `validateName(String name)`
`static void` | `validateNode(String node)`
`static void` | `validateParamName(String name)`
`static void` | `validateParamValue(String value)`
`static void` | `validateTimerInterval(int time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobManagerDescriptorValidator

    public JobManagerDescriptorValidator()

Method Detail

### validateTimerInterval

    public static void validateTimerInterval(int time)

### validateIntervalInterval

    public static void validateIntervalInterval(int time)

### validateCalendarDay

    public static void validateCalendarDay(String time)

### validateCalendarMonth

    public static void validateCalendarMonth(String time)

### validateCalendarHour

    public static void validateCalendarHour(String time)

### validateCalendarMinute

    public static void validateCalendarMinute(String time)

### validateCalendarYear

    public static void validateCalendarYear(String time)

### validateGroup

    public static void validateGroup(String group)

### validateDescription

    public static void validateDescription(String description)

### validateJobClass

    public static void validateJobClass(String classname)

### validateName

    public static void validateName(String name)

### validateNode

    public static void validateNode(String node)

### validateListenerName

    public static void validateListenerName(String name)

### validateListerClassName

    public static void validateListerClassName(String name)

### validateParamName

    public static void validateParamName(String name)

### validateParamValue

    public static void validateParamValue(String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.